GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::operation::overlay::LineBuilder Class Reference

Forms JTS LineStrings out of a the graph of geomgraph::DirectedEdge created by an OverlayOp. More...

`#include <LineBuilder.h>`

## Public Member Functions
| LineBuilder (OverlayOp *newOp, const geom::GeometryFactory *newGeometryFactory, algorithm::PointLocator *newPtLocator)
std::vector< geom::LineString * > * | build (OverlayOp::OpCode opCode)
void | collectLineEdge (geomgraph::DirectedEdge *de, OverlayOp::OpCode opCode, std::vector< geomgraph::Edge * > *edges)

## Detailed Description

Forms JTS LineStrings out of a the graph of geomgraph::DirectedEdge created by an OverlayOp.

## Member Function Documentation

std::vector<geom::LineString*>* geos::operation::overlay::LineBuilder::build | ( | OverlayOp::OpCode | opCode | ) |

Returns
  a list of the LineStrings in the result of the specified overlay operation

void geos::operation::overlay::LineBuilder::collectLineEdge | ( | geomgraph::DirectedEdge * | de,
|  | OverlayOp::OpCode | opCode,
|  | std::vector< geomgraph::Edge * > * | edges
| ) |  |

Collect line edges which are in the result.

Line edges are in the result if they are not part of an area boundary, if they are in the result of the overlay operation, and if they are not covered by a result area.

Parameters

  de | the directed edge to test.
  opCode | the overlap operation
  edges | the list of included line edges.

The documentation for this class was generated from the following file:

- LineBuilder.h